EDIT - task #7796

[CHECK] Handle Bibliography Name Facts correctly
09/28/2018 08:01 PM - Andreas Mdller

Status: Resolved Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 80%
Category: cdmadapter Estimated time: 0:30 hour
Target version: Euro+Med Migration

Severity: normal

Description

There are 13568 name facts of type "Bibliography" (Cat=3).
These are currently attached to the according names as TaxonNameDescription with feature "Citation".
The citations seem to come from ILDIS but the names are also used in 7600000 so they often appear twice.

The Citations currently do not show up in the BM data portal. In CDM they show up behind the name formatted same as second
nomenclatural references.

Decisions to take:
e Should they show up in the data portal => probably not (see #7796#note-8)
¢ Depending on this, keep them as TaxonName Citations or make them TaxonName extensions. The later may not show up in

the portal by default.

Implementations:

. cepinathem onNameDeseriotio

¢ |f extensions, implement extension import

Decisition: we keep them as citations

Related issues:
Related to EDIT - task #7435: Handle also published in correctly In Progress
Has duplicate EDIT - bug #7456: E+M: NameFacts von ILDIS Daten Duplicate

Associated revisions

Revision 52e6e4b5 - 10/12/2018 09:07 AM - Andreas Miiller
ref #7796 remove ILDIS Bibliographie NameFacts from E+M import

History

#1 - 09/28/2018 08:02 PM - Andreas Miiller
- Related to task #7435: Handle also published in correctly added

#2 - 09/28/2018 08:14 PM - Andreas Miiller

- Description updated

#3 - 09/28/2018 08:18 PM - Andreas Miiller

SELECT n.NameCache, n.FullNameCache, n.NomRefFk, pt.PTRefFk, fact.NameFactId, fact.PTNameFk, fact.NameFact, n.
notes, pt.Notes,
fact .NameFactCategoryFk, fact.NameFactRefFk, fact.DoubtfulFlag, fact.PublishFlag,
fact.Created_When, fact.Updated_When, fact.Created_Who, fact.Updated_Who, fact.Notes, fact.
NameFactRefDetail,
pt.PublishFlag
FROM NameFact fact
INNER JOIN Name AS n ON fact.PTNameFk = n.NameId
LEFT OUTER JOIN PTaxon pt ON pt.PTNameFk = fact.PTNameFk AND pt.PTRefFK NOT IN (500000)
WHERE (fact.NameFactCategoryFk = 3)
ORDER BY pt.PTRefFk, n.FullNameCache;
https://dev.e-taxonomy.eu/redmine/issues/7796#note-8

SELECT DISTINCT fact.NameFactId
FROM NameFact fact
WHERE (fact.NameFactCategoryFk = 3)

#5 - 09/28/2018 11:12 PM - Andreas Miiller
- Related to bug #7456: E+M: NameFacts von ILDIS Daten added

#6 - 09/28/2018 11:59 PM - Andreas Miiller
- Related to deleted (bug #7456: E+M: NameFacts von ILDIS Daten)

#7 - 09/28/2018 11:59 PM - Andreas Miiller
- Has duplicate bug #7456: E+M: NamefFacts von ILDIS Daten added

#8 - 09/29/2018 01:20 AM - Andreas Miiller
- File picture897-1.png added

ERS: (2014-11-08)

diese Angaben in eckigen Klammern hinter der eigentlichen nom.ref. stammen aus dem ILDIS-Import. In Euro+Med oder PESI wollen wir sie nicht
ausgeben; das wurden sie bisher auch nicht.

Trifolium striatum

Trifolium striatum L., Sp. Pl.; 770. 1753[& Webb, C. 1. Et al. - Flora Of New Zealand Vol Content

IV 1988.].[8 Grossheim, A. A. - Flora Kavkaza, Vol. 5. Moscow, Leningrad. (Rus)

1952.].[& Bobrov, E. G. - In: Flora LRSS, Val. 11. Mosqua, Leningrad. (Rus) 1941.].[& « Distribution
Heywood, V. H. & Ball, P. W. - Leguminosae. In: Flora Europaea Vol. 2. ed. Tutin, T. G. « Commaon Names
Et 1968.].[& Linnaeus, C. von - Sp. Pl. 1753.].[& Roskov, Yu. R. - Revis. Of The G.

Trifolium in Fl. USSR. Cand. Thes. Leningra 1990.].[& Zohary, M. & Heller, D. - The Genus Trifolium.
Jerusalem. 1984.].[& Coombe, D. E. - In: Flora Europaea, Vol. 2. Cambridge. 1968.].[& Yakovlev G, Sytin &4 &
Roskov Y - Legumes Of Morthern Eurasia. Royal Botanic Gardens, Kew. 1996.].[& Bobrov, E. G. - In: Flora
Partis Europaesae URSS Vol. 6. Leningrad. (Rus.) 1987.].

#9 - 09/29/2018 01:21 AM - Andreas Mdiller

- Description updated

#10 - 09/29/2018 11:55 AM - Andreas Muller
- Estimated time set to 1:30 h

#11 - 10/09/2018 05:51 PM - Andreas Miiller
ERS: probably not to be imported at all

#12 - 10/12/2018 09:08 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 80

- Estimated time changed from 1:30 h to 0:30 h

#13 - 10/12/2018 09:08 AM - Andreas Miiller
- Subject changed from ERS: Handle Bibliography Name Facts correctly to [CHECK] Handle Bibliography Name Facts correctly

#14 - 05/12/2019 11:17 AM - Andreas Muller

- Description updated

#15 - 05/12/2019 11:20 AM - Andreas Miuiller

- Description updated

#16 - 05/12/2019 11:21 AM - Andreas Miuiller

- Target version changed from Euro+Med Migration to Euro+Med Portal Release
Move to check if they are really not shown in production portal.

#17 - 05/12/2019 12:50 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Target version changed from Euro+Med Portal Release to Euro+Med Migration
As in note 11 it was decided not to import them at all this ticket is fixed (in code this is already implemented)

Files

picture897-1.png 17.1 KB 09/28/2018 Andreas Muller
